# Generated by Django 5.1.3 on 2024-12-03 16:27

import django.db.models.deletion
import django.utils.timezone
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Questionnaire",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "client_type",
                    models.CharField(
                        choices=[
                            ("citizen", "Citizen"),
                            ("business", "Business"),
                            ("government", "Government (Employee or Another Agency)"),
                        ],
                        max_length=32,
                    ),
                ),
                (
                    "date_submitted",
                    models.DateTimeField(
                        default=django.utils.timezone.now, editable=False
                    ),
                ),
                ("region_of_residence", models.CharField(max_length=64)),
                ("service_availed", models.CharField(max_length=64)),
                (
                    "i_am_a",
                    models.CharField(
                        choices=[
                            ("faculty", "Faculty"),
                            ("non-teaching staff", "Non-Teaching Staff"),
                            ("student", "Student"),
                            ("guardian", "Guardian/Parent of Student"),
                            ("alumna", "Alumna"),
                            ("other", "Other"),
                        ],
                        max_length=32,
                    ),
                ),
                (
                    "i_am_a_other",
                    models.CharField(blank=True, max_length=64, null=True),
                ),
                (
                    "q1_answer",
                    models.CharField(
                        choices=[
                            ("1", "I know what a CC is and I saw this office's CC"),
                            (
                                "2",
                                "I know what a CC is but I did NOT see this office's CC",
                            ),
                            (
                                "3",
                                "I learned of the CC only when I saw this office's CC",
                            ),
                            (
                                "4",
                                "I do not know what a CC is and I did not see one in this office",
                            ),
                        ],
                        max_length=64,
                    ),
                ),
                (
                    "q2_answer",
                    models.CharField(
                        choices=[
                            ("1", "Easy to see"),
                            ("2", "Somewhat easy to see"),
                            ("3", "Difficult to see"),
                            ("4", "Not visible at all"),
                            ("5", "N/A"),
                        ],
                        max_length=64,
                    ),
                ),
                (
                    "q3_answer",
                    models.CharField(
                        choices=[
                            ("1", "Helped very much"),
                            ("2", "Somewhat helped"),
                            ("3", "Did not help"),
                            ("4", "N/A"),
                        ],
                        max_length=64,
                    ),
                ),
                (
                    "sqd0_answer",
                    models.CharField(
                        choices=[
                            ("1", "Strongly Disagree"),
                            ("2", "Disagree"),
                            ("3", "Neither Agree nor Disagree"),
                            ("4", "Agree"),
                            ("5", "Strongly Agree"),
                            ("6", "N/A"),
                        ],
                        max_length=16,
                    ),
                ),
                (
                    "sqd1_answer",
                    models.CharField(
                        choices=[
                            ("1", "Strongly Disagree"),
                            ("2", "Disagree"),
                            ("3", "Neither Agree nor Disagree"),
                            ("4", "Agree"),
                            ("5", "Strongly Agree"),
                            ("6", "N/A"),
                        ],
                        max_length=16,
                    ),
                ),
                (
                    "sqd2_answer",
                    models.CharField(
                        choices=[
                            ("1", "Strongly Disagree"),
                            ("2", "Disagree"),
                            ("3", "Neither Agree nor Disagree"),
                            ("4", "Agree"),
                            ("5", "Strongly Agree"),
                            ("6", "N/A"),
                        ],
                        max_length=16,
                    ),
                ),
                (
                    "sqd3_answer",
                    models.CharField(
                        choices=[
                            ("1", "Strongly Disagree"),
                            ("2", "Disagree"),
                            ("3", "Neither Agree nor Disagree"),
                            ("4", "Agree"),
                            ("5", "Strongly Agree"),
                            ("6", "N/A"),
                        ],
                        max_length=16,
                    ),
                ),
                (
                    "sqd4_answer",
                    models.CharField(
                        choices=[
                            ("1", "Strongly Disagree"),
                            ("2", "Disagree"),
                            ("3", "Neither Agree nor Disagree"),
                            ("4", "Agree"),
                            ("5", "Strongly Agree"),
                            ("6", "N/A"),
                        ],
                        max_length=16,
                    ),
                ),
                (
                    "sqd5_answer",
                    models.CharField(
                        choices=[
                            ("1", "Strongly Disagree"),
                            ("2", "Disagree"),
                            ("3", "Neither Agree nor Disagree"),
                            ("4", "Agree"),
                            ("5", "Strongly Agree"),
                            ("6", "N/A"),
                        ],
                        max_length=16,
                    ),
                ),
                (
                    "sqd6_answer",
                    models.CharField(
                        choices=[
                            ("1", "Strongly Disagree"),
                            ("2", "Disagree"),
                            ("3", "Neither Agree nor Disagree"),
                            ("4", "Agree"),
                            ("5", "Strongly Agree"),
                            ("6", "N/A"),
                        ],
                        max_length=16,
                    ),
                ),
                (
                    "sqd7_answer",
                    models.CharField(
                        choices=[
                            ("1", "Strongly Disagree"),
                            ("2", "Disagree"),
                            ("3", "Neither Agree nor Disagree"),
                            ("4", "Agree"),
                            ("5", "Strongly Agree"),
                            ("6", "N/A"),
                        ],
                        max_length=16,
                    ),
                ),
                (
                    "sqd8_answer",
                    models.CharField(
                        choices=[
                            ("1", "Strongly Disagree"),
                            ("2", "Disagree"),
                            ("3", "Neither Agree nor Disagree"),
                            ("4", "Agree"),
                            ("5", "Strongly Agree"),
                            ("6", "N/A"),
                        ],
                        max_length=16,
                    ),
                ),
                (
                    "extra_suggestions",
                    models.TextField(blank=True, max_length=512, null=True),
                ),
                (
                    "client",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
    ]
